Nápověda aplikace conVERTER

conVERTER

Přehled

Aplikace conVERTER je určena pro převod fyzikálních jednotek.

Možnosti
Popis aplikace
Nároky na systém
  • Počítač s operačním systémem Windows95 nebo Windows NT 4.0 a vyššími
  • Myš

conVERTER 1.4 Copyright © 1998, 2001 Ing. Jiří Bureš, Freeware


Popis aplikace

Hlavní obrazovka se skládá z těchto oblastí:

Označení | Popis
1 Navigátor - seznam dostupných veličin (témat) nebo jednotek. Poklepáním na položku je daná položka vybrána. Pokud je v okně navigátoru seznam veličin je daná veličina nastavena a kurzor se přesune na první jednotku dané veličiny. Je-li v okně navigátoru seznam jednotek je nastavena příslušná veličina a kurzor se nastaví na zvolenou jednotku. V případě editace jednotek se kurzor přesune na 1. položku zvolené veličiny nebo na zvolenou jednotku.

Zobrazení seznamu je možné změnit klepnutím pravého tlačítka myši a volbou ze zobrazeného menu nad tímto seznamem (Ikony/seznam). Je možné klepnout na titulek s nadpisem aktuálního tématu a veličinu (téma) zvolit ze zobrazeného menu. F4 (Alt+J) přepne Navigátor na seznam dostupných jednotek, Shift+F4 (Alt+V) vyvolá seznam veličin (témat).

Mezi veličinami a jednotkami lze přepínat také klepnutím na tlačítka v záhlaví Navigátoru.

Lze také editovat jména veličin dvojitým klepnutím na položku (jako při přejmenování položek/souborů v Průzkumníkovi).
2 | Menu
3 | Nástrojová lišta. Na nástrojové liště jsou umístěny nejčastěji prováděné úkony. Pokud zůstane kurzor myši chvíli stát nad tlačítkem zobrazí se krátký nápovědný text popisující funkci tlačítka.
4 Oblast pro zadávání zabírá největší část obrazovky. Zleva je uveden název jednotky, zkratka jednotky a přepočtené hodnoty.

Do aktivní buňky (6) (obrys je zvýrazněn obdélníkem) je možné zadat číselnou hodnotu, která se má převést. Po potvrzení klávesou Enter nebo přechodem na další řádek dojde k přepočtu.
5 | Aktuální téma - titulek informuje o aktuálně zvoleném tématu (veličině).
6 | Aktivní buňka je v seznamu označena rámečkem. Pokud se začne psát, je text zapsán do aktuální buňky. Zadaná hodnota je označena barevně (nastavení lze změnit v okně Možnosti).
7 Krátký náhled zobrazuje převod mezi aktuální jednotkou a zákonnou jednotkou. V některých případech zobrazí "lidské" zobrazení jednotky (např. místo 750 s zobrazí 0:12:30).

V tomto řádku se také zobrazují převody Aktuální jako (do jiných číselných soustav, na zlomky a římské číslice).

Zde se zobrazují také některá chybová hlášení.
8 | Stavový řádek zobrazuje další doplňkové informace o aplikaci (počet témat v aplikaci, počet jednotek v aplikaci, počet jednotek v právě zvoleném tématu (veličině), nastavená úroveň a přesnost zobrazení).
9 | Lupa je nástroj pro zobrazení umožňující zrakově postiženým uživatelům snadnější čtení jednotek. Lupa zobrazuje ve vyšším a kontrastním zvětšení hodnotu základní jednotky (1. jednotka v tabulce dané veličiny), zadané jednotky (jednotka, která byla zadávána jako vstup pro převod) a aktuální jednotky (jednotka, na které je umístěn kurzor). Zobrazuje se zde také hodnota právě zadávané jednotky.
10 | Info zobrazuje informace o aktuálně zvolené jednotce. Na prvním řádku info okna je uveden název jednotky a převodní koeficient mezi touto jednotkou a základní jednotkou (1. jednotka v tabulce dané veličiny). Na dalším řádku je pak informační text, který blíže popisuje danou jednotku.

Ovládání aplikace


Možnosti aplikace

conVERTER

Přehled

Aplikace conVERTER je určena pro převod fyzikálních jednotek.

Možnosti
  • Převod (konverze) fyzikálních jednotek
  • Editace jednotek (doplňování dalších jednotek uživatelem)
  • Ovládání myší a plné ovládání klávesnicí
  • Standardně 26 definovaných témat (+ uživatelská) s maximálně 150 jednotkami v tématu
  • Maximálně 7500 jednotek ve všech tématech (ve verzi 1.4 Alfa 2 je to 584 položek k převodu)
  • Kontrola vstupních hodnot při zadávání převodu
  • Různá přesnost zobrazení (jednoduchá, dvojitá, vědecké zobrazení, pevný počet desetinných míst)
  • Tisk nebo výstup do souboru, tisk výstupního souboru
  • Nastavení úrovně zobrazení (může zobrazit jen některé koeficienty a tak používat sady jednotek)
  • Načtení obsahu aktuální buňky do Schránky Windows
  • Stavový řádek s informacemi o stavu programu a s kontextovým plovoucím menu
  • Výběr jednotky z abecedního seznamu jednotek a přesun na zvolenou jednotku
  • Hledání jednotek podle zadaného textu
  • Převod hodnot z desítkové soustavy do jiných soustav
  • Převod hodnot na zlomky a římské číslice
  • Spouštění Kalkulačky Windows
  • Krátký náhled
  • Lupa
  • Info
  • Přesun obsahu aktuální buňky k dalšímu přepočtu
  • Kontextově senzitivní nápověda
Popis aplikace
Nároky na systém
  • Počítač s operačním systémem Windows95 nebo Windows NT 4.0 a vyššími
  • Myš

conVERTER 1.4 Copyright © 1998, 2001 Ing. Jiří Bureš, Freeware


Menu

Menu Soubor

Znovu načíst - znovu načte data ze souboru se seznamem jednotek (jména, zkratky, koeficienty a informace o jednotkách).

Editace jednotek - otevře soubor se seznamem jednotek pro editaci přímo v aplikaci conVERTER.

Zavřít - v režimu editace jednotek uzavře soubor se seznamem jednotek bez uložení (provedené změny nejsou uloženy).

Uložit - v režimu editace jednotek uloží soubor se seznamem jednotek.

Tisk… - vyvolá dialog pro tisk.

Konec - ukončí aplikaci conVERTER.

Menu Úpravy

Kopírovat - zkopíruje obsah aktivní buňky do Schránky Windows.

Vložit - vloží obsah Schránky Windows do aktivní buňky.

Najít - vyhledávání jednotek, které odpovídají zadanému textu.

Menu Zobrazit

Úroveň - nastaví úroveň zobrazení (zobrazení jen některých jednotek).

Lupa - zapne/vypne Lupu.

Krátký náhled - zapne/vypne řádek krátkého náhledu.

Informace - zapne/vypne info okno.

Krátký náhled uvádí - přepíná způsob zobrazení Krátkého náhledu.

Vždy navrchu - okno aplikace bude stále v popředí (zapne/vypne toto nastavení).

Menu Přejít

Předchozí téma - přesun na předchozí téma (veličinu).

Následující téma - přesun na následující téma (veličinu).

Témata - provede volbu tématického okruhu (veličiny) jako kdyby byl tématický okruh zvolen v Navigátoru (seznam témat v levé části okna programu).

Menu Formát

Jednoduchá přesnost - zobrazí jednotky v jednoduché přesnosti (8 desetinných míst).

Dvojitá přesnost - zobrazí jednotky ve dvojité přesnosti (12 desetinných míst).

Vědecké zobrazení - zobrazí jednotky v exponenciálním tvaru.

Pevný počet - zobrazí jednotky v zobrazení na definovaný pevný počet desetinných míst.

Řádky - umožní zapnout/vypnout barevné značení řádků, které budou po volbě Skrýt zobrazeny (ostatní řádky budou skryty).

Zobrazit Navigátor - nastaví zobrazení Navigátoru - obou seznamů veličin (velké ikony nebo seznam).

Menu nástroje

Seznam veličin - v Navigátoru budou zobrazeny veličiny.

Uživatelské veličiny - v Navigátoru budou zobrazeny uživatelské veličiny.

Seznam jednotek - v Navigátoru bude zobrazen abecední seznam jednotek.

Předpony - přesune hodnotu aktuální buňky do seznamu předpon a hodnotu umístí do patřičného řádku.

Fyzikální konstanty - zobrazí seznam základních fyzikálních konstant.

Aktuální jako - umožní převést hodnotu aktuální buňky do různých číselných soustav, na zlomek nebo na římské číslice.

Start - opět zapne nahrávání.

Pauza - pozastaví nahrávání.

Stop - ukončí nahrávání.

Nahrávání - zapne nahrávání převedených (zobrazených) jednotek do souboru. Uživatel je vyzván k zadání jména souboru.

Kalkulačka - spustí kalkulačku Windows pokud je soubor Calc.exe ve vyhledávacích cestách

Možnosti… - vyvolá dialog pro zadání parametrů aplikace conVERTER.

Menu Nápověda

Index… - vyvolání seznamu nápovědy

Klávesnice… - nápověda o používání klávesnice

Domovská stránka… - zobrazí domovskou stránku aplikace na Internetu (http://bures.hyperlink.cz)

Připomínky k aplikaci… - pomocí defaultního mailového klienta odešle mail autorovi aplikace (bures@centrum.cz)

O aplikaci conVERTER… - informace o aplikaci a autorovi programu.

Popis programu


Nástrojová lišta

V horní části obrazovky je pod menu nástrojová lišta s tlačítky, které slouží pro ovládání aplikace (vyvolání hlavních funkcí).

Popis tlačítek

Tlačítko | Kl. zkr. | Popis
 | Ctrl+E | Editace jednotek - otevře datový soubor jednotek (standardně Convert.con) pro editaci ve vestavěném editoru jednotek. Poznámka: cesta k datovému souboru se nastavuje v okně Možnosti…
 | Ctrl+S | Uložit - uloží editovaný datový soubor jednotek
 | Ctrl+P | Tisk - nastavení tisku. Umožňuje u tisk do souboru.
 | Ctrl+C | Kopírovat - kopíruje aktuální buňku do schránky Windows.
 | Ctrl+V | Vložit - vloží do aktuální buňky obsah schránky Windows.
 | F3 | Krátký náhled - zapíná/vypíná řádek krátkého náhledu.
 | F2 | Lupa - přepne zobrazení nástroje Lupa.
 | Ctrl+I | Info - přepne zobrazení okna okna s informacemi o jednotce.
 |  | Aktuální jako… - provede převod hodnoty z aktivní buňky na zvolený typ. Převod se zobrazí do řádků krátkého náhledu. Pokud je krátký náhled vypnutý, zobrazí se převod do okna se zprávou.
 | Ctrl+B | Binárně - aktivní buňka bude převedena do dvojkové soustavy.
 | Ctrl+O | Oktálně - aktivní buňka bude převedena do osmičkové soustavy.
 | Ctrl+H | Hexadecimálně - aktivní buňka bude převedena do šestnáctkové soustavy.
 | Ctrl+Z | Zlomek - aktivní buňka bude převedena na zlomek.
 | Ctrl+L | Římské - aktivní buňka bude převedena na římské číslo.
 | F7 | Předchozí veličina - přesun na předchozí veličinu v pořadí.
 | F8 | Následujíc veličina - přesun na následující veličinu v pořadí.
 |  | Úroveň zobrazení - nastavení, které veličiny se mají zobrazit. Každé jednotce jde přiřadit úroveň zobrazení. Vše - zobrazí všechny jednotky dané veličiny (zruší nastavení úrovně). Úroveň 1 - zobrazí pouze jednotky přiřazené do úrovně jedna. Úroveň 2 - zobrazí jednotky přiřazené do úrovně 1 a 2. Úroveň 3 - zobrazí jednotky přiřazené do úrovně 1 až 3.
 | Ctrl+Shift+F5 | Nahrávání - nahrávání prováděných převodů do souboru.
 | Ctrl+F5 | Start - pokračování nahrávání.
 | Ctrl+F6 | Pauza - pozastaví nahrávání.
 | Ctrl+F7 | Stop - ukončí nahrávání.
 | F1 | Nápověda - zobrazí nápovědu.
Poznámka:

V daný okamžik nemusí být všechna tlačítka přístupná nebo zobrazená. Záleží na tom, v jakém stavu se aplikace nachází - podle toho jsou tlačítka přístupná.

Info, Krátký náhled, Lupa, Menu, Navigátor, Navigace, Nástrojová lišta, Ovládání klávesnicí, Ovládání myší, Stavový řádek, Titulek


Navigator

Navigátor

Navigátor uvádí seznam dostupných veličin (definovaných i uživatelských) a jednotek. Umožňuje také jednotky hledat.

Tlačítka skupiny

Veličiny a jednotky jsou seskupeny:

  • Veličiny - definované veličiny (standardně v textovém souboru Convert.con)
  • Jednotky - jednotky definovaných a uživatelských veličin
  • Uživatel - uživatelské veličiny (standardně v textovém souboru User.con).

Klepnutím myší na záložku (tlačítko skupiny nahoře v Navigátoru) se zobrazí daný seznam.

Seznam jednotek

Poklepáním myši na položku seznamu (jednotku) je v oblasti pro zadávání zobrazen seznam jednotek k převodu. Pokud poklepete na jednotku v seznamu "Jednotky" zobrazí se seznam jednotek příslušné veličiny a aktuální buňka je nastavena na danou jednotku.

Režim editace

V režimu editace datového souboru (popis a koeficientů jednotek - standardně Convert.con) slouží Navigátor pro přesun na první jednotku dané veličiny uvedenou v editačním okně.

Režim hledání

Navigátor poskytuje také funkci hledání jednotek podle zadaného textu.

Další vlastnosti

  • Šířku Navigátoru lze změnit tažením myší za pravý okraj Navigátoru.
  • Lze měnit názvy veličin v Navigátoru - dvakrát (s krátkou pomlkou) se klepne na název veličiny - v názvu je umístěn kurzor a lze změnit název položky podobně jako při změně názvu souboru v Průzkumníkovi Windows nebo na ploše Windows.

Popis aplikace, Ovládání


Lupa

Funkce Lupa je nástroj pro zobrazení umožňující zrakově postiženým uživatelům snadnější čtení obrazovky. Lupa zobrazuje důležité informace ve velkém kontrastním zvětšení.

Pokud se Vám zdá, že jsou čísla příliš malá, nebo jsou špatně čitelná, spusťte režim lupa. Stiskněte klávesu F2 nebo klepněte myší na tlačítko [image] na nástrojové liště. Pod menu se zobrazí bílá plocha lupy, ve které se bude zobrazovat hodnota základní jednotky, hodnota zadané jednotky a hodnota aktivní buňky (buňka, ve které je kurzor). Pokud zvolíte převod jednotek do jiných číselných soustav, na zlomky nebo na římské číslice zobrazí se v lupě výsledek převodu.

Lupu vypnete tak, jak jste ji nastartovali (F2).

Poznámka:

Pokud je text v Lupě delší než je šířka Lupy, objeví se v pravém horním rohu Lupy rolovací šipky. Pomocí těchto šipek je možné prohlížení obsahu Lupy - text se posouvá ve směru šipky, na kterou klepnete levým tlačítkem myši.

Info, Klávesové zkratky, Krátký náhled, Nástrojová lišta, Navigátor, Navigace, Stavový řádek


Titulek

V titulku se vypisuje jméno veličiny (tématického okruhu). Klepnutí myši vyvolá menu se seznamem veličin.

Info, Lupa, Menu, Nástrojová lišta, Navigátor, Popis aplikace, Stavový řádek


Náhled

Režim Krátký náhled

Režim Krátký náhled standardně zobrazuje převod mezi aktuální buňkou a 1. buňkou daného tématu. Lze nastavit převod mezi aktuální buňkou a buňkou, která byla zadána. Volba se provede volbou z menu Zobrazit - Krátký náhled uvádí.

Pokud zvolíte převod jednotek do jiných číselných soustav, na zlomky nebo na římské číslice zobrazí se v náhledu výsledek převodu.

Režim je možné vypnout a zapnout klepnutím myší na tlačítko [image] v nástrojové liště nebo stiskem klávesy F3. Režim je dostupný mimo titulní obrazovku.

Tip:

Pokud je text náhledu delší než je prostor k zobrazení, je text odříznut. Na konci textu náhledu jsou zobrazeny 3 tečky (…). Pokud chcete vidět celý text náhledu najeďte nad náhled myší a chvíli počkejte. Objeví se nápovědný text s úplným zobrazením náhledu.

Info, Lupa, Klávesové zkratky, Nástrojová lišta, Navigátor, Navigace, Stavový řádek


Aktivní buňka

Aktivní buňka je místo, kam se zadávají hodnoty jednotek, které se budou převádět. Buňka je zvýrazněna orámováním (pozn. světlé číslo 157 bylo zadáno).

Pokud píšete na klávesnici, zapisuje se zde zadávaný text. Přípustné jsou pouze číselné hodnoty. Pohyb se provádí kurzorovými šipkami, PgUp, PgDn, Home, End nebo lze použít myš.

Klepnutím pravým tlačítkem myši nad oblastí s hodnotami se vyvolá plovoucí menu s příkazy pro převod hodnoty v aktivní buňce do různých číselných soustav na zlomky a římské číslice.

Poznámka:

Pokud je v okně Možnosti nastaveno barevně odlišené zadání, jsou zadané hodnoty barevně zvýrazněny.

Formát zobrazení, Navigátor, Info, Lupa, Krátký náhled, Stavový řádek


Formát zobrazení hodnot

Informuje o právě zvolené přesnosti zobrazení (počet desetinných míst).

  • Jednoduchá přesnost (J - zkratka ve stavovém řádku) - zobrazuje s přesností na max. 6 desetinných míst. Ctrl+J.
  • Dvojitá přesnost (D) - zobrazuje s přesností na max. 14 desetinných míst. Ctrl+D.
  • Vědecké zobrazení (S) - zobrazení v exponenciálním tvaru.
  • Pevný počet (F) - pevný počet desetinných míst. Ctrl+X.

V závorkách je uveden znak, který se zobrazuje na stavovém řádku.


Info

Funkce Info zobrazuje informace o aktuálně zvolené jednotce. Na prvním řádku info okna je uveden název jednotky a převodní koeficient mezi touto jednotkou a základní jednotkou (1. jednotka v tabulce dané veličiny). Na dalším řádku je pak informační text, který blíže popisuje danou jednotku.

Funkce Info se aktivuje klávesovou zkratkou Ctrl+I nebo klepněte myší na tlačítko [image] na nástrojové liště. Ve spodní části okna programu nad stavovým řádkem se zobrazí plocha info okna, ve které se bude zobrazovat informace o aktuálně zvolené jednotce.

Info vypnete tak, jak jste ji nastartovali (Ctrl+I).

Poznámka:

V okně Info je možné zobrazit text o délce asi 300 znaků. Text je uživatelsky editovatelný.

Krátký náhled, Lupa, Titulek


Stavový řádek

V dolní části obrazovky je stavový řádek se základními informacemi o stavu programu a s tlačítky pro změnu zobrazení.

1 | Stav Navigátora
2 | Počet neprázdných témat (veličin) v aplikaci. Klepnutí vyvolá seznam dostupných veličin v okně Navigátora. V závorce může být uveden počet uživatelských jednotek.
3 | Celkový počet jednotek v aplikaci. Klepnutí vyvolá seznam dostupných jednotek v okně Navigátora.
4 | Počet jednotek v aktivním tématu. Klepnutí vyvolá seznam dostupných jednotek v okně Navigátora.
5 | Informace o právě nastavené úrovni zobrazení (V=všechny úrovně, 1=jen úroveň 1, 2=úroveň 1 a 2, 3=úroveň 1 a 3).
6 | Informace o právě nastavené přesnosti zobrazení (J=jednoduchá, D=dvojitá přesnost zobrazení, S=vědecké zobrazení, F=pevný/fixed počet des. míst).

Menu, Navigátor, Nástrojová lišta, Popis programu


Možnosti

V okně Možnosti se nastavují vlastnosti aplikace. Nastavení se potvrdí klepnutím na tlačítko OK. Klepnutím na tlačítko Storno se provedené změny vrátí do stavu před otevřením okna Možnosti.

Karty

V okně Možnosti… jsou volby rozděleny na tyto karty:

Obecné - umístění datových souborů s jednotkami apod.

Zobrazení - co se zobrazuje při běhu aplikace, způsob zobrazení v Navigátoru

Formát - formát zobrazení hodnot

Po startu - co se zobrazuje při spuštění aplikace

Informace - doba a počet spuštění aplikace.


Možnosti - karta Obecné

Možnosti… - záložka Obecné

Soubor s jednotkami a koeficienty

Cesta k souboru s jednotkami a převodními koeficienty. Je zobrazena velikost souboru a jeho datum. Klepnutím na tlačítko se 3 tečkami se zobrazí dialog pro výběr souboru.

Soubor s uživatelskými jednotkami a koeficienty

Cesta k souboru s uživatelskými jednotkami a převodními koeficienty (tlačítko Uživatel v Navigátoru). Je zobrazena velikost souboru a jeho datum. Klepnutím na tlačítko se 3 tečkami se zobrazí dialog pro výběr souboru.

Bezpečné ukončení

Pokud je pole zatrženo, je před ukončením aplikace zobrazen kontrolní dotaz, zda ukončit aplikaci.

Formát datového souboru

Karta Zobrazení, Karta Formát, Karta Po startu, Karta Informace


Možnosti - karta Zobrazení

Možnosti… - záložka Zobrazení

Úroveň

Nastaví použitou úroveň zobrazení.

Zobrazení

Zatržením lze nastavit co, který prvek se bude zobrazovat po příštím spuštění aplikace.

Zobrazit Navigátor jako

Způsob zobrazení ikon v Navigátoru.

Navigátor zobrazuje

Určí co se zobrazí v Navigátoru po spuštění aplikace.

Karta Obecné, Karta Zobrazení, Karta Formát, Karta Informace


Možnosti - karta Formát

Možnosti… - záložka Formát

Přesnost

Přesnost zobrazení převáděných čísel. Umožňuje zvolit jednoduchou nebo dvojitou přesnost, vědecké zobrazení a zobrazení s pevným počtem desetinných míst. Pokud se zvolí poslední volba, je možné nastavit počet desetinných míst.

Řádky

Barevné zvýraznění v řádcích převodu:

Barevné značení (Ins) - pokud je volba zatržena, jsou hodnoty vybrané klávesou Insert označeny žlutým čtverečkem ve sloupci pro zadání hodnot. S označenými buňkami lze provádět různé akce (skrývání označených řádků apod.).

Barevně odlišit zadání - pokud je volba zatržena je barevně značena hodnota v buňce, do které se zadala hodnota k převodu. Barvu je možné vybrat po klepnutí na tlačítko se 3 tečkami. Zvolenou barvou je vypsán text volby.

Krátký náhled

Zlomky (počet desetinných míst) - počet desetinných míst, který se bere v úvahu při převodu na zlomky.

Vlastní převod do číselné soustavy - předvolí bázi číselné soustavy (8 pro převod do osmičkové soustavy apod.).

poč. míst - max. počet desetinných míst, který se použije při převodu do dané číselné soustavy.

Karta Obecné, Karta Zobrazení, Karta Po startu, Karta Informace


Možnosti - karta Po startu

Možnosti… - záložka Po startu

Téma zobrazené po startu aplikace

Která veličina je zobrazena po spuštění aplikace.

Umožnit pouze jednu instanci aplikace

Zatržením volby lze spustit aplikaci jen jednou.

Zobrazit mřížku

Zatržením volby je po spuštění aplikace zobrazena v oblasti pro převod jednotek mřížka.

Karta Obecné, Karta Zobrazení, Karta Formát, Karta Informace


Možnosti - karta Informace

Možnosti… - záložka Informace

Počet spuštění - počet spuštění aplikace.

Počet převodů - počet provedených převodů.

Doba spuštění - doba spuštění aplikace.

Celková doba spuštění - celková doba spuštění aplikace.

Vymazat - znovu nastaví všechna počítadla na počáteční hodnoty.

Karta Obecné, Karta Zobrazení, Karta Formát, Karta Po startu


Ovládání aplikace

Ovládání

Program conVERTER se ovládá klávesnicí a (nebo) myší (levé i pravé tlačítko). Po nastartování programu je zobrazeno téma, které lze zvolit v okně Možnosti… V Navigátoru - seznamu dostupných témat (veličin) zvolte požadované téma. Pro volbu tématu můžete použít i menu Přejít (Alt+E). V tématech můžete listovat pomocí F7 a F8 (zpět, vpřed). V oblasti pro zadávání zadejte do požadovaného řádku číselnou hodnotu k převodu. Po stisku Enter se zadaná hodnota přepočte do všech řádku seznamu jednotek.

Poznámka:

Pouze u jednotek veličiny Teplota je možné použít záporná čísla. V ostatních případech je zadání převedeno na kladnou hodnotu.

Navigátor obsahuje seznam témat (seznam veličin), který se vyvolá stiskem Shift+F4 nebo abecední seznam jednotek (vyvolá se stiskem F4). Seznam uživatelských veličin se vyvolá stiskem Ctrl+Shift+F4.

Klávesové zkratky, Menu, Nástrojová lišta, Popis, Stavový řádek


Ovládání myší

Ovládání programu odpovídá standardům platným pro ovládání Windows. V hojné míře je využito pravého tlačítka myši pro vyvolávání různých plovoucích menu. V plovoucím menu jsou zobrazeny příkazy, které se vztahují k vybranému objektu.

Použití myši

Tlačítko | Akce
Myš stojí | nad některými prvky okna zobrazí krátkou nápovědu nebo zobrazí detailní informace (např. nad prvkem Krátký náhled).
Levé tlačítko | výběr položky, přesun kurzoru atd.
Pravé tlačítko | různá plovoucí menu.

Ovládání klávesnicí, Popis


Ovládání klávesnicí

Ovládání pomocí klávesnice

Všechny funkce programu conVERTER jsou dostupné také z klávesnice.

Použití kláves

Zkratka | Akce
Šipka nahoru | pohyb po buňkách nahoru
Šipka dolů | pohyb po buňkách dolů
Home | přesun na první pozici v aktivní buňce
End | přesun na poslední pozici v aktivní buňce
PgUp | přesun na první buňku
PgDn | přesun na poslední buňku
Enter | potvrzení zadání (volby apod.)
Esc | minimalizace okna
F1 | spustí nápovědu
F2 | zapne/vypne zobrazení Lupa
F3 | zapne/vypne stručné zobrazení (Krátký náhled)
F4 | zobrazí seznam dostupných jednotek a přesune do něj kurzor
F5 | přesun obsahu aktuální buňky do tabulky “Násobky a díly” do řádku základ a do Schránky
F6 | zobrazí seznam fyzikálních konstant
F7 | přesun o téma zpět
F8 | přesun o téma vpřed
F10 | přesun do menu
Shift+F1 | vyvolá nápovědu o použití klávesnice
Shift+F4 | vyvolá seznam veličin a přesune do něj kurzor
Ctrl+F1 | vyvolá kontextovou nápovědu
Ctrl+F5 | opět spustí funkci Nahrávání
Ctrl+F6 | pauza při funkci Nahrávání
Ctrl+F7 | stop (ukončení) při funkci Nahrávání
Ctrl+B | převede aktuální hodnotu do binární (dvojkové) soustavy
Ctrl+C | kopíruje obsah aktivní buňky
Ctrl+D | nastaví dvojitou přesnost zobrazení čísel
Ctrl+E | editace souboru Convert.con (jména a zkratky jednotek, přepočítací koeficienty)
Ctrl+F | najít jednotku (-y)
Ctrl+H | převede aktuální hodnotu do hexadecimální (šestnáctkové) soustavy
Ctrl+I | zapne/vypne zobrazení Info
Ctrl+J | nastaví jednoduchou přesnost zobrazení čísel
Ctrl+K | spustí Kalkulačku Windows, pokud je již spuštěná (z conVERTERu) aktivuje ji. Soubor Calc.exe musí být ve vyhledávací cestě.
Ctrl+L | převod aktuální hodnoty na římské číslice
Ctrl+N | hodnoty budou zobrazeny na pevný počet desetinných míst; počet des. míst je definován v okně Možnosti
Ctrl+O | převede aktuální hodnotu do oktální (osmičkové) soustavy
Ctrl+P | tisk do souboru nebo na tiskárně
Ctrl+R | znovu načte data ze souboru koeficientů (standardně Convert.con)
Ctrl+S | uložení editovaného souboru koeficientů (standardně Convert.con)
Ctrl+T | okno programu zůstane vždy navrchu nad všemi ostatními programy
Ctrl+V | vloží obsah Schránky do aktivní buňky a přepočte
Ctrl+W | ukončení editace Convert.con bez uložení
Ctrl+Z | převede aktuální hodnotu na zlomek
Ctrl+Shift+F4 | v Navigátoru zobrazí seznam uživatelských veličin
Ctrl+Shift+F5 | spustí funkci Nahrávání
Alt+D | seznam nalezených veličin v režimu Hledání
Alt+E | menu Editace
Alt+J | Navigátor – seznam
Alt+N | menu Nápověda
Alt+P | menu Přejít
Alt+R | menu Nástroje
Alt+S | menu Soubor
Alt+T | menu Téma
Alt+V | Navigátor – seznam veličin
Alt+Z | menu Zobrazit
Alt+F4 | ukončení programu
Tip:

Po stisku F5 (viz výše) je text přesunut do Schránky Windows. Pokud přepnete např. do textového editoru a stisknete Ctrl+V bude obsah buňky přesunut na pozici kurzoru. Nemusíte tedy text přepisovat z programu conVERTER ručně. Můžete také samozřejmě použít Ctrl+C.

Ovládání myší, Popis


Práce s programem

Po programu conVERTER se můžete pohybovat pomocí klávesnice nebo myši nebo kombinací tohoto ovládání. Po startu programu nejprve zvolte z Navigátoru (seznamu veličin a jednotek) veličinu/jednotku (můžete také stisknout Alt+E a z menu zvolit veličinu). Po tématech (veličinách) se můžete také pohybovat pomocí F7 (pohyb zpět) a F8 (pohyb vpřed).

Kurzor se sám přesune na první řádek seznamu jednotek daného tématického okruhu. Nyní použijte kurzorové šipky (dolů, nahoru) pro najetí na řádek s požadovanou jednotkou. Ovládání pohybu po seznamu jednotek odpovídá ovládání pohybu po buňkách některých tabulkových procesoru.

Do aktivní buňky zadejte číselnou hodnotu, kterou chcete převést a ukončení zadání potvrďte stiskem Enter.

Poznámka:

Mimo teplotu není povoleno používání záporných hodnot. Záporné hodnoty jsou převedeny na kladné.

Tip:

Pro rychlý přesun na danou jednotku lze použít rychlý přesun na jednotku.

Info, Krátký náhled, Lupa, Menu, Navigátor, Navigace, Nástrojová lišta, Ovládání, Ovládání klávesnicí, Ovládání myší, Popis, Stavový řádek, Titulek


Zpět/vpřed

Posun vpřed a zpět mezi veličinami

Zpět

Přesun v seznamu veličin (témat) na předchozí veličinu (téma). Alternativně lze použít F7 nebo použít volbu z menu Přejít - Předchozí téma. Přesune ukazatel v okně Navigátoru na danou veličinu a nastaví kurzor na 1. buňku této veličiny.

Volba je dostupná z nástrojové lišty klepnutím levým tlačítkem myši na tlačítko [image].

Vpřed

Přesun v seznamu veličin (témat) na následující veličinu (téma). Alternativně lze použít F8 nebo použít volbu z menu Přejít - Následující téma. Přesune ukazatel v okně Navigátoru na danou veličinu a nastaví kurzor na 1. buňku této veličiny.

Volba je dostupná z nástrojové lišty klepnutím levým tlačítkem myši na tlačítko [image].

Navigátor, Ovládání aplikace, Popis aplikace


Hledat

Najít

Funkce slouží pro vyhledávání jednotek podle zadaného textu.

Funkce najde všechny jednotky, jejichž název odpovídá zadanému textu, nebo které obsahují zadaný text nebo mají ve svém názvu písmena obsažená v zadaném textu a ve stejném pořadí.

Příklad:

Hledat:

minuta

Výsledky vyhledávání:

minuta
imperial nautical mile

Popis

Oblast pro vyhledávání se zobrazí v Navigátoru po vybrání položky Najít v menu Úpravy.

Klávesová zkratka je Ctrl+F.

Hledaný text se zadá do pole Hledat. Klepnutím na tlačítko Najít (nebo stiskem klávesy Enter) jsou prohledány jednotky a je zobrazen výsledek hledání. Jednotky, které přesně neodpovídají zadanému textu jsou barevně odlišeny a jsou umístěny na konci seznamu.

Pro přechod na danou jednotku je třeba poklepat myší na její název v seznamu nalezených jednotek.

Vyhledávání se ukončí klepnutím na tlačítko Storno nebo volbou seznamu jednotek/veličin v Navigátoru.

Poznámka:

Jednotky, na které uživatel v seznamu nalezených jednotek poklepal jsou odlišeny barevně.

Tip:

Pro rychlé hledání v převodní tabulce lze stisknout Shift a první písmeno názvu jednotky. Aktivní buňka je nastavena na řádek s jednotkou začínající na dané písmeno. Dalším stiskem se přejde na další jednotku začínající na dané písmeno.

Navigátor, Rychlé hledání v převodní tabulce, Navigace po programu


Vyhledání jednotky

Pokud nevíte, ve kterém tématu se nachází určitá jednotka vyvolejte seznam dostupných jednotek. Seznam se vyvolá pomocí F4 nebo klepnutím na stavový řádek (oblast Jednotek v aplikaci) popřípadě volbou položky Seznam jednotek v menu Nástroje.

Tip:

Poklepáním na vybranou jednotku program nastaví téma příslušející jednotce a přesune kurzor na tuto jednotku.

Hledání jednotek


Rychlé hledání v seznamu jednotek k převodu

Rychlé hledání jednotky

Pro rychlé hledání v převodní tabulce lze stisknout Shift a první písmeno názvu jednotky. Pokud ve zvolené veličině existuje jednotka, která začíná na dané písmeno je aktivní buňka nastavena na řádek s jednotkou začínající na dané písmeno. Dalším stiskem se přejde na další jednotku začínající na dané písmeno.

Příklad:

Pokud jste například v tématu Délka nastaveni na prvním řádku a stisknete Shift+S přesunete se na jednotku "světelný rok". Dalším stiskem Shift+S dojde k přesunu na "sáh český", následuje "stopa česká" atd.

Poznámka:

Předchozí příklad předpokládá použití standardně dodávaného datového souboru a nastavení úrovně "Vše". Žádné jednotky by neměly být skryté.

Hledání jednotek


Převod hodnoty do exponenciálního tvaru

Klepnutím myši na toto tlačítko přesune obsah aktuální neprázdné buňky do tabulky Násobky a díly a provede převod na jednotlivé exponenty. Obsah buňky je zároveň vložen do Schránky Windows. Variantně lze použít F5.


Převod hodnoty do jiných číselných soustav

Převod hodnoty do jiné číselné soustavy

Program umožňuje převod hodnoty v aktivní buňce (vždy jsou uváděny v desítkové soustavě) do jedné z těchto číselných soustav:

  • Dvojková (binární) - používá se převážně ve výpočetní technice. Čísla zapisuje pomocí dvou znaků (0, 1). Použijte položku v podmenu Aktuální jako (menu Nástroje) nebo Ctrl+B.
  • Osmičková (oktální) - čísla zapisuje pomocí osmi znaků (0 - 7). Použijte položku v podmenu Aktuální jako (menu Nástroje) nebo Ctrl+O.
  • Šestnáctková (hexadecimální) - čísla zapisuje pomocí 16 znaků (0 - F). Použijte položku v podmenu Aktuální jako (menu Nástroje) nebo Ctrl+H.
  • Jiné číselné soustavy - aplikace umožňuje převod do 2 až 32 soustavy a to včetně převodu desetinné části čísla. Počet převáděných desetinných čísel za desetinnou čárkou a nastavenou soustavu lze nastavit v okně Možnosti.
Poznámka:

Výsledky převodu se zobrazují v řádku Krátký náhled (F3). Pokud je Krátký náhled vypnut, převody se zobrazují v samostatném okně.

Převod na zlomky, Převod na římské číslice


Převod hodnoty na zlomek

Po zvolení položky Zlomek (menu Nástroje, podmenu Aktuální jako) nebo Ctrl+Z dojde k přepočtu hodnoty v aktuální buňce na zlomek ve tvaru Celá_část + Č/J. Vstupní výraz je zaokrouhlen na počet desetinných míst zadaných v okně Možnosti a následně je číslo převedeno na zlomek. Například číslo 2,15 převede na tvar 2+3/20.

Poznámka:

Musí být nastaven režim Krátký náhled (F3).

Převod do jiných číselných soustav, Převod na římské číslice


Úroveň zobrazení

Informuje o aktuálně zvolené úrovni zobrazení.

Program umožňuje zobrazit 3 úrovně zobrazení. Úroveň 1 zobrazí pouze jednotky 1. úrovně. Úroveň 2 zobrazí jednotky 1. a 2. úrovně a analogicky Úroveň 3 zobrazí jednotky 1., 2. a 3. úrovně. Volba Vše zobrazí všechny jednotky (zruší zobrazení úrovní).

Tip:

Úroveň zobrazení dané jednotky je nastavena v datovém souboru aplikace, kterou může uživatel změnit podle svých potřeb. Uživateli jsou pak nabízeny ty jednotky, které potřebuje.


Vlastní data

Zadání vlastních dat

Všechny informace o jednotkách, jejich zkratkách, konverzních koeficientech a textů Infa jsou standardně uloženy v souboru Convert.con, který je v adresáři s aplikací conVERTER. Soubor s uživatelskými jednotkami se standardně jmenuje User.con. Informace o jednotkách je možné mít uložené i v jiných souborech. Cestu k datovým souborům je pak třeba zadat v dialogovém okně Možnosti. Textový soubor je možné volně upravovat a doplňovat do něj vlastní jednotky. Před úpravami nezapomeňte zálohovat soubor Convert.con. Dále je tento soubor možné upravovat přímo z programu conVERTER po zvolení položky Editace v menu Soubor (Ctrl+E).

Formát souboru CONVERT.CON

  • textový soubor (možno editovat např. aplikací Poznámkový blok)
  • každý řádek obsahuje jednu větu pro jednu jednotku
  • formát věty: OKRUH|JEDNOTKA|ZKRATKA|KOEFICIENT|TEXT_INFO|NOVÁ_OBLAST

OKRUH – pořadové číslo okruhu (viz tabulka níže). Povinná hodnota.

JEDNOTKA – jméno jednotky (např. metr)

ZKRATKA – označení zkratky (např. m)

KOEFICIENT – koeficient přepočtu k základní jednotce – číslo (1 yard = 0,9144 metru potom KOEFICIENT=0.9144). Koeficient může obsahovat konstantu pro Ludolfovo číslo ‘PI’ a znak pro zlomek ‘/’. Může tedy obsahovat i jednoduché vzorce (např. PI/180). Povinná hodnota.

TEXT_INFO – text Info okna. Délka textu je omezena velikosti velikostí Info okna asi na 300 znaků.

NOVÁ_OBLAST – u první věty nového tématu musí být uvedeno slovo True, v ostatních případech neuvádějte nic. Povinná hodnota u první věty nového okruhu.

  • jednotlivé položky věty jsou odděleny znakem ‘|’ (Ctrl+Alt+W, Alt+0124).
  • všechny věty jednoho okruhu musí být v souboru umístěny za sebou (pořadí vět udává pořadí jednotek v programu).
  • maximální počet vět (jednotek) v jednom tématu je 150.
  • u okruhu číslo 16 – teplota nedoplňujte další jednotky! Program počítá převody podle jiného schématu než je tomu u všech ostatních jednotek. Proto nezadávejte ani jiné koeficienty než jsou uvedeny (0).
  • u koeficientů se pro oddělení desetinných míst nepoužívá desetinná čárka, ale desetinná tečka!
  • znak ‘ (apostrof – Alt+039) slouží jako znak uvozující poznámku. Musí být na 1. pozici na řádku, další text uvedený za apostrofem je při načítání dat do programu conVERTER ignorován.
  • soubor nesmí obsahovat prázdné řádky.
Příklad věty:

Uživatelská délková míra vrabčí skok má zkratku jednotky vs. 1 vs = 0,15 m a je to smyšlená jednotka.

1|vrabčí skok|vs|0.15|Vrabčí skok je vymyšlená jednotka.

Použité hodnoty OKRUH

Pro hodnoty v položce OKRUH jsou povoleny pouze tyto hodnoty:

Hodn. | Veličina | Hodn. | Veličina
1 | Délka | 14 | Dynamická viskozita
2 | Plošný obsah | 15 | Průtok
3 | Objem | 16 | Teplota
4 | Hmotnost | 17 | Proud
5 | Hustota | 18 | Napětí
6 | Síla | 19 | Odpor
7 | Tlak | 20 | Magnetický tok
8 | Práce | 21 | Magnetická indukce
9 | Výkon | 22 | Intenzita mg. pole
10 | Rovinný úhel | 23 | Svítivost
11 | Čas | 24 | Jas
12 | Rychlost | 25 | Osvětlení
13 | Kinematická viskozita | 26 | Násobky a díly

Použité ikony veličin

Další informace o položce JEDNOTKA

První znak v položce jednotka určuje úroveň zobrazení.

Znak | Akce
+ | Znak pro úroveň 2
* | Znak pro úroveň 3
jiný znak | Znak pro úroveň 1 - jiným znakem je v podstatě první písmeno názvu jednotky.
Příklad věty:

Objemová míra salmanazar nemá zkratku jednotky a 1 salmanazar = 0,01135624 m3; jednotka bude patřit do úrovně 2 a nebude obsahovat žádnou poznámku pro Info.

3|+salmanazar||0.01135624


Řádky

Operace s řádky

Volba je dostupná z menu Formát-Řádky. Nabízí následující volby:

Skrýt neoznačené | Skryje všechny neoznačené řádky.
Zobrazit | Zobrazí dříve skryté řádky. Pokud jsou v daném tématu nějaké skryté jednotky, je v titulku zobrazen informativní text "(skryto)".
Barevné značení | Stiskem klávesy Ins v oblasti pro zadávání dat je (při zatržené položce) v aktivní buňce daný řádek barevně označen (malým žlutým čtverečkem). Na takto označené řádky lze použít zde uvedené operace.


Nahrávání

Nahrávání provedených převodů

Aplikace umožňuje ukládat provedené převody do externího souboru. Nahrávají se pouze zobrazené jednotky. Nadbytečné jednotky lze skrýt nebo lze zvolit vlastní úroveň zobrazení.

Po klepnutí na tlačítko [image] v nástrojové liště je uživatel vyzván k zadání názvu a umístění souboru, do kterého se budou převody zapisovat. Pokud soubor existuje, je zobrazena výzva k potvrzení přepisu stávajícího souboru.

Nahrávání se ukončí klepnutím na tlačítko [image].

Popis tlačítek pro nahrávání

Tlačítko | Kl. zkr. | Popis
 | Ctrl+Shift+F5 | Nahrávání - spustí nahrávání prováděných převodů do souboru.
 | Ctrl+F5 | Start - pokračování nahrávání po pauze.
 | Ctrl+F6 | Pauza - pozastaví nahrávání. Následně lze v nahrávání pokračovat nebo je ukončit.
 | Ctrl+F7 | Stop - ukončí nahrávání.

Formáty souborů

Koncovka | Formát | Popis
CSV | Text oddělený středníky |
TXT | Text | Text oddělený tabulátory
TXT | Formátovaný text | Text oddělený mezerami

Na prvním řádku souboru jsou uloženy názvy jednotek. Další řádky pak obsahují jednotlivé převáděné hodnoty oddělené znakem daným formátem souboru. Každý řádek představuje jeden provedený převod.

Příklad uloženého souboru
pascal;hektopascal;bar;milibar
1;0,01;0,00001;0,01
2;0,02;0,00002;0,02
3;0,03;0,00003;0,03
Poznámka:

V daný okamžik nemusí být všechna tlačítka pro nahrávání přístupná nebo zobrazená. Záleží na tom, v jakém stavu se aplikace nachází - podle toho jsou tlačítka přístupná.

Menu, Ovládání pomocí klávesnice, Ovládání myší, Tisk


Rychlé zmenšení programu

Pomocí klávesy Esc zmenšíte program do ikony. Okamžitě po stisku Esc se program minimalizuje do Hlavního panelu Windows.


Tisk

Volba umožňuje tisk převodů nebo uložení převodů do datového souboru.

Klávesová zkratka volby je Ctrl+P.

1 | Výstup - nastavuje výstup na tiskárnu nebo do souboru
2 | Tisknout co/Uložit co - co se bude tisknout (ukládat)
3 | Nastavení velikosti písma nebo operace s výstupním souborem
4 | Tlačítko pro potvrzení volby (OK) nebo zrušení výstupní operace (Storno)
5 | Jméno nastavené tiskárny nebo jméno výstupního souboru
6 | Tlačítko pro výběr tiskárny
7 | Prostor pro systémová hlášení.

Nahrávání


Menu Kalkulačka

Kalkulačka

Provede spuštění Kalkulačky Windows (Ctrl+K). Pokud již byla spuštěna z programu conVERTER bude Kalkulačka aktivovaná. Když není Kalkulačka (soubor Calc.exe) přítomna v systémových složkách Windows nebo v adresáři aplikace conVERTER je vypsáno chybové hlášení a Kalkulačka se nespustí.

Menu


Ukončení programu

Program conVERTER můžete ukončit několika způsoby:

  • klávesová zkratka Alt+F4
  • volba položky Konec z menu Soubor
  • klepnout na tlačítko křížek vpravo na titulkovém pruhu
  • klepnout na ikonku v levé části titulkové lišty a zvolit položku Zavřít
  • poklepat na ikonku v levé části titulkové lišty
  • klepnout pravým tlačítkem na titulkovou lištu a zvolit položku Zavřít

Při všech těchto volbách zvolte tlačítko Ano v dialogovém boxu.

Tip:

Pokud nechcete být při každém ukončení aplikace obtěžování dialogem potvrzujícím ukončení conVERTERu, odstraňte zatržení v okně Možnosti v poli Bezpečné ukončení na kartě Obecné.

Popis


Menu Znovu načíst

Znovu načíst

Znovu načte data ze souboru popisu jednotek a převodních koeficientů (standardně Convert.con) a zobrazí načtené jednotky (Ctrl+R). Tato funkce se používá pokud při běhu programu conVERTER uživatel upraví obsah souboru koeficientů (standardně Convert.con) v externím textovém editoru a potřebuje promítnout změny do běžícího programu bez nutnosti jeho nového startování.

Poznámka:

Pokud je pro editaci souboru Convert.con použit vestavěný editor (Ctrl+E) dojde k novému načtení automaticky po volbě Uložit (Ctrl+S).

Menu


Revieware

Tato aplikace je typu Freeware a Revieware. Pojem Revieware jsem si vytvořil pouze pro svou potřebu a nevím, jestli se nevyskytuje i v jiných souvislostech.

Poznámka

Review je anglické slovo a znamená mimo jiné posoudit. Touto cestou bych chtěl požádat všechny uživatele conVERTERu, aby mi zaslali své připomínky, dotazy a názory týkající se tohoto programu.

Jsem rád, že jste vyzkoušeli můj program conVERTER. A když se Vám líbil a používáte ho, jsem ještě radši. Pokud máte k programu jakékoli připomínky, postřehy nebo máte nápady k vylepšení jeho funkcí uvítám všechny písemné náměty. Rozumné náměty se pokusím zapracovat do dalších verzí programu. Pište prosím na adresu:

bures@centrum.cz

Web conVERTERU

http://bures.hyperlink.cz

Zdravím Vás a přeji pěkný den.


Veličiny a jednotky

V programu conVERTER se vyskytuje množství různých jednotek a veličin. Pro snadnější orientaci jsou jednotky seřazeny do tématických okruhu podle veličin.

Veličiny

Seznam témat (veličin) je dostupný v Navigátoru (v levé části obrazovky programu conVERTER). Lze použít také klávesovou zkratku Shift+F4 (Alt+V). Tématický okruh (veličinu) je možné zvolit klepnutím na položku seznamu v Navigátoru. Menu se seznamem veličin se objeví také po klepnutí na titulek nebo volbou menu Přejít. Přecházet mezi veličinami lze přejít stiskem F7 (předchozí veličina) nebo F8 (následující veličina).

Stiskem Ctrl+Shift+F4 (Alt+U) se vyvolá seznam uživatelských veličin.

Jednotky

Jednotka je vhodně zvolená a definičně stanovená veličina určitého druhu sloužící k porovnání (k měření) veličin stejného druhu. V programu je také možné vyvolat seznam jednotek (F4 nebo Alt+U).

Tip:

Pokud v seznamu jednotek stisknete na klávesnici písmeno, přesune se kurzor na první slovo začínající tímto písmenem. Další stisk přesune kurzor na další slovo začínající tímto písmenem.

Hledání jednotek, Zadání vlastních dat


Veličina

Veličina je pojem, kterým lze kvalitativně a kvantitativně popsat jevy, stavy a vlastnosti různých materiálních objektů.

Příklad:

délka, hmotnost, síla, energie apod.

Jednotky, veličiny a jednotky, ikony jednotek


Jednotka veličina

Jednotka veličiny

Jednotka veličiny je vhodně zvolená a definičně stanovená veličina určitého druhu sloužící k porovnání (k měření) veličin stejného druhu.

Příklad:

metr, kilogram, newton, joule apod.

Veličiny, veličiny a jednotky, ikony jednotek


Jednotky SI

V historii existovaly různé soustavy jednotek (lišily se počtem i volbou základních jednotek). Do roku 1962 se u nás požívaly tři soustavy jednotek: MKSA (metr, kilogram, sekunda), CGS (centimetr, gram, sekunda) a MKpS (metr, kilopond, sekunda). Zákonem 35/62 Sb. bylo určeno 6 základních jednotek, které jsou základními jednotkami soustavy jednotek (Systéme International d’Unités – zkratka SI). Soustava SI obsahuje soustavu MKSA a dále ji rozšiřuje. Soustava SI je jedinou soustavou jednotek, které lze používat ve všech vědních a technických oborech.

Seznam a definice základních jednotek SI

Základní jednotka | Definice
metr | metr je délka, rovnající se 1 650 763,73 vlnových délek záření šířícího se ve vakuu, které odpovídá přechodu mezi hladinami 2p10 a 5d5 atomu kryptonu 86
kilogram | kilogram je hmotnost mezinárodního prototypu kilogramu, který je uložen u Mezinárodního úřadu pro váhy a míry v Sévres
sekunda | sekunda je doba trvání 9 192 631 770 period záření, které odpovídá přechodu mezi dvěma hladinami velmi jemné struktury základního stavu atomu cézia 133
ampér | ampér je proud, který při stálém průtoku dvěma rovnoběžnými přímkovými velmi dlouhými vodiči zanedbatelného kruhového průřezu, umístěnými ve vakuu ve vzdálenosti 1 m od sebe, vyvolá mezi vodiči sílu 2 E-7 newtonu na 1 m délky
kelvin | kelvin je 273,16 díl termodynamické teploty trojného bodu vody
kandela | kandela je kolmá svítivost 1/6 E-5 m2 povrchu černého tělesa při teplotě tuhnutí platiny za tlaku 101 325 pascalu
mol | mol je látkové množství soustavy, jejíž počet molekul (nebo částic) se rovná počtu atomu v 0,012 kg (přesně) izotopu uhlíku 12C


Jednotky

conVERTER | Jednotka | Zkr. | Veličina
 | Metr | m | délka
 | Kilogram | kg | hmotnost
 | Newton | N | síla
 | Pascal | Pa | tlak
 | Joule | J | práce
 | Watt | W | výkon
 | Kelvin | K | teplota
 | Ampér | A | proud
 | Volt | V | napětí
 | Ohm |  | odpor
 | Weber | Wb | mg. tok
 | Tesla | T | mg. indukce
 | Ampér na metr | A.m-1 | intenzita mg. pole
 | Coulomb |  | el. náboj
 | Farad |  | el. kapacita
 | Kandela | cd | svítivost
 | Kandela na čtvereční metr | cd.m-2 | jas
 | Lumen |  | světelný tok
 | Lux | lx | osvětlení

Abecední seznam, Jednotka veličiny, Veličina, Veličiny a jednotky, Jednotky SI, Fyzikální konstanty


Jednotky

Jednotky - abecední řazení

conVERTER | Jednotka | Zkr. | Veličina
 | Ampér | A | proud
 | Ampér na metr | A.m-1 | intenzita mg. pole
 | Coulomb |  | el. náboj
 | Farad |  | el. kapacita
 | Joule | J | práce
 | Kandela | cd | svítivost
 | Kandela na čtvereční metr | cd.m-2 | jas
 | Kelvin | K | teplota
 | Kilogram | kg | hmotnost
 | Lumen |  | světelný tok
 | Lux | lx | osvětlení
 | Metr | m | délka
 | Newton | N | síla
 | Ohm |  | odpor
 | Pascal | Pa | tlak
 | Tesla | T | mg. indukce
 | Volt | V | napětí
 | Watt | W | výkon
 | Weber | Wb | mg. tok

Jednotky, Jednotka veličiny, Veličina, Veličiny a jednotky, Jednotky SI, Fyzikální konstanty


Fyzikální konstanty

Jednotka | Zkr. | Koeficient | Poznámka
atomová jednotka hmotnosti | u | 1,6605655 E-27 kg | 1/12 klidové hmotnosti atomu nuklidu 126C. Skripta Kolesnikov - Mechanika a molek. fyziky uvádí 1,66044 E-27.
Avogadrova konstanta | NA | 6,022045 E23 mol-1 | Ve třech pramenech jsou uvedeny 3 hodnoty! Mat., fyz. a chemické tab. pro stř. školy uvádí tuto hodnotu. Skripta Kolesnikov - Mechanika a molek. fyziky uvádí 6,02217 E23. Peč - Chemie ve vzorcích uvádí 6,02252 E23.
Bohrův magneton | ß | 9,274078 E-24 JT-1 |
Bohrův poloměr | a0 | 5,2917706 E-11 m | Jednotka délky (patří mezi tzv. atomové jednotky – 1 bohr)
Boltzmannova konst. | k | 1,380662 E-23 JK-1 |
dipólový moment | ea0 | 8,478418 E-30 Cm | Atomová jednotka
ekvivalent energie klidové hmotnosti | E | 8,987555 E16 Jkg-1 |
elementární náboj elektronu | e | 1,6021892 E-19 C | Jednotka el. náboje (patří mezi tzv. atomové jednotky – 1 hatree)
Faradayova konstanta | F | 9,648456 E4 Cmol-1 |
gradient el. pole |  | 9,7174 E21 Vm2 | Atomová jednotka
gravitační konstanta | c | 6,672E-11 Nm2kg-2 | kapa
hartree | Eh | 4,359814 E-18 J | Jednotka energie (patří mezi tzv. atomové jednotky)
hmotnostní jednotka | mu | 1,6605655 E-27 kg |
hustota pravděpodobnosti | a0-3 | 6,748340 E30 m-3 | Atomová jednotka
jaderný magneton | ßP | 5,050824 E-27 JT-1 |
jiffy | t0 | 2,418885 E-17 s | Jednotka času (patří mezi tzv. atomové jednotky)
klidová hmotnost elektronu | me | 9,109534 E-31 kg | Jednotka hmotnosti (patří mezi tzv. atomové jednotky – 1 thomson). 5,48597 E-4 u.
klidová hmotnost neutronu | mn | 1,6749543 E-27 kg | 1,0086654 u
klidová hmotnost protonu | mp | 1,6726485 E-27 kg | 1,00727663 u
konstanta "há-trans" (Dirackova konstanta) | h | 1,0545587 E-34 Js | h je nahoře vodorovně přeškrtnuté (1 planck)
konstanta jemné struktury | a | 7,2973506 E-3 | alfa
konstanta Wienova zákona | lmaxT | 2,89779 E-3 m K | lambda
kvadrupólový moment | ea02 | 4,4866 E-40 Cm2 | Atomová jednotka
Loschmidtova konstanta | n0 | 2,6873 E25 m-3 |
molární objem ideálního plynu (normální molový objem) | Vm | 22,41383 E-3 m3mol-1 | T=273,15 K; p=101,325 kPa (normální tlak)
objem a03 | a03 | 1,481846 E-31 m3 | Atomová jednotka objemu
permeabilita vakua | m0 | 4 E-7 NA-2 | mí. 4p E-7 Hm-1(1,256637 E-6 Hm-1)
permitivita vakua | e0 | 8,854187818 E-12 C2N-1m-2 | epsilon
pí | p | 3,141592654 | Poměr obvodu kruhu a jeho průměru (pí)
Planckova konstanta | h | 6,626176 E-34 Js |
plynová molová konstanta | R | 8,31441 Jmol-1K-1 |
Rydbergova konstanta | R | 1,097373177 E7 m-1 |
rychlost světla ve vakuu | c | 2,99792458 E8 ms-1 |
solární konstanta | N | 1327 Wm-2 |
specifický náboj elektronu | e/me | 1,7588047 E11 Ckg-1 |
stark |  | 5,142257 E11 Vm-1 | Atomová jednotka intenzity elektrického pole
Stefan-Boltzmannova konstanta | s | 5,67032 E-8 Wm-2K-4 |
tíhové zrychlení (normální) | gn | 9,80665 ms-1 |
zeeman |  | 2,35054 E5 T | Atomová jednotka intenzity mg. pole
Poznámka:

Atomové jednotky - nejsou v souladu se systémem SI. Nepovažují se za pravé jednotky, ale pouze za zvolené standardy pomocí nichž se vyjadřují vypočítané veličiny.

Jednotky, Jednotky SI, Veličiny


Římské číslice

Při převodu "našich" čísel na římská neexistuje v podstatě žádná směrodatná norma. Rozhodující byl vesměs většinový obecně akceptovaný úzus. Tato shoda byla do středověku daleko volnější než později. Dnes se řídíme pravidly 16. - 18. století.

Základní pravidla

  1. Čísla se zapisují kombinací znaků I, V, X, L, C, D, M.
  2. Znaky se skládají tak, že se píší od nejvyšších k nejnižším (MCX = 1110). Většinou se kombinují nejvýše 3 stejné číslice (XXX = 30, III = 3). Někdy mohou být kombinovány i čtyři stejné číslice (IIII = 4 bylo běžné na starých slunečních hodinách).
  3. Menší číslice pře větší znamená subtrakci (IV = 4). Takto se subtrahuje pouze jedna číslice (jen zcela vyjímečně dvě stejné číslice: IIX = 8).
  4. Pro subtrakci dle bodu 3 se používají pouze číslice I, X, C; v matematickém kontextu zcela vyjímečně také M. Nikdy nebyly používány číslice V, L, D (správně: XC = LXXXX = 90, MCM = 1900; nesprávně: VC = 95).
  5. Číslice I se pro subtrakci většinou užívá jen před V, X. Není správně MIM pro 1999 (lépe je MCMXCVIIII nebo MCMXCIX).
Římsky | Arabsky
I | 1
V | 5
X | 10
L | 50
C | 100
D | 500
M | 1000


Copyright

Tento softwarový produkt je chráněn autorskými zákony a mezinárodními dohodami o autorských právech, jakož i dalšími zákony a dohodami o duševním vlastnictví.

Licence freeware

Udělují se následující práva:

  • Na počítač smíte nainstalovat a provozovat libovolný počet kopií aplikace conVERTER.
  • Kopie aplikace conVERTER můžete rovněž uložit nebo instalovat do paměťového zařízení, jako je např. síťový server a provozování aplikace conVERTER na dalších počítačích v rámci interní sítě je volné.

Popis dalších práv a omezení

  • Zpětná analýza, dekompilace a převod ze strojového kódu aplikace conVERTER nejsou povoleny, s výjimkou a v rozsahu činnosti, která je výslovně povolena příslušným zákonem a jež má přednost před tímto omezením.
  • Aplikaci conVERTER nelze prodávat a pronajímat, ale lze ji propůjčovat a dále volně šířit dalším uživatelům

Autorská práva

Veškerá vlastnická a autorská práva týkající se aplikace conVERTER jsou majetkem Ing. Jiřího Bureše nebo jeho autorizovaných dodavatelů. Aplikace conVERTER je chráněna autorskými zákony a ustanoveními mezinárodních smluv. To znamená, že s aplikací conVERTER musíte zacházet jako s každým jiným materiálem podléhajícím autorským právům.

conVERTER © Copyright Ing. Jiří Bureš, 1998 FREEWARE & REVIEWARE

Autor aplikace conVERTER uvítá všechny připomínky a názory. Pište na adresy:

Ing. Jiří Bureš, 6. května 116, 769 01 Holešov (uvítám pohlednici z vaší obce)

bures@plastika.cz

Další informace na http://bures.hyperlink.cz

Historie

Historie vývoje aplikace conVERTER.

Copyright Microsoft a Windows 95/98/NT jsou registrované obchodní značky Microsoft Corporation

Poděkování

  • Touto cestou chci poděkovat Petru Filipovi za jeho program Re Counter 1.1, který byl prvotním impulsem k napsání programu conVERTER. Protože mi v programu Re Counter chyběly některé jednotky k přepočtu a jeho vlastnosti nebyly přímo ideální, rozhodl jsem se vytvořit conVERTER.
  • Chci také poděkovat R. S. Luhmanovi - SMI Corporation (autor programu Convert It! 2.0).
  • Nemůžu vynechat J. Turka a Ing. J. Fišera za jejich konstruktivní připomínky k prvním (nonrelease) verzím programu conVERTER.
  • Největší poděkování patří mé ženě, která přispěla k dokončení programu nejen činností beta testera.

Použitá literatura

Augusta P.-Klůna J.: Tajemství přesnosti. Praha, Albatros 1983.

Bartsch H.-J.: Matematické vzorce. Praha, SNTL 1987.

Janotka M.- Linhart K.: Zapomenutá řemesla. Praha, Nakladatelství Svoboda 1984.

Kolektiv autorů: Matematické, fyzikální a chemické tabulky pro střední školy. Praha, SPN 1979.

Kolektiv autorů: Matematické, fyzikální a chemické tabulky pro střední školy. Praha, SPN 1989.

Kolektiv autorů: Slovník antické kultury. Praha, Nakladatelství Svoboda 1974.

Kolektiv autorů: Technický naučný slovník. Praha, SNTL 1981.

Küster F. W. - Thiel A.: Chemickoanalytické výpočetní tabulky. Praha, Academia 1988.

Šindelář V. a kolektiv: Metrologie a zavedení soustavy jednotek SI. Praha, SNTL-VÚNM 1976.


Historie

Historie aplikace

Verze | Začátek vývoje | Hlavní změny
1.0 Alfa 1 | 29.6.1998 | První funkční verze
1.1 | 7.7.1998 | Pro zadávání dat zvolena mřížka (dříve samostatná textová pole). 213 jednotek.
1.2 | 4.8.1998 | Externí soubor s popisy jednotek a jejich koeficienty umožňuje uživatelskou definici jednotek. Seznam dostupných jednotek. Použitelná nápověda. Tisk. Doplněno menu. Přesnost zobrazení (jednoduchá a dvojitá). Úrovně zobrazení. Převod aktuální buňky na binární, oktální a hexadecimální tvar, na zlomky a římské číslice. Max. 100 jednotek v jednom tématu. 421 jednotek.
1.21 | 4.9.1998 | Editace datového souboru přímo z aplikace. Funkce "Vždy navrchu".
1.22 | 1.11.1998 | Nástrojová lišta. Skrývání zvolených jednotek. Info o zvolené jednotce.
1.23 | 12.4.1999 | Dialog "Možnosti…". Okno ve stylu MS Outlook 98.
1.24 | 1.8.1999 | Nahrávání převáděných hodnot do textového souboru.
1.25 | 15.8.1999 | Tzv. podveličiny (fotometrie, elektromagnetizmus) se volí z plovoucího menu Navigátoru (dříve tlačítka na ploše). Vědecké zobrazení hodnot. Barevné značení zadané hodnoty. Převod do Visual Basic 6.
1.3 | 4.3.2000 | Změna struktury seznamu veličin a nové veličiny (datový soubor není kompatibilní se starší verzí). Možnost měnit velikost okna aplikace. Rychlé vyhledávání jednotek v převodní tabulce (Shift+počáteční_písmeno). Možnost změnit šířku Navigátoru.
1.31 | 28.11.2000 | Plovoucí menu jsou více kontextová. Další zpřesnění některých koeficientů. Možnost zobrazit mřížku. Převod do více číselných soustav (2-32) včetně desetinné části čísla.
1.4 | 29.12.2000 | Uživatelské jednotky ve vlastním souboru (User.con). Hledání jednotek. Editace názvů veličin v Navigátoru. Hledání jednotek. HTML nápověda. 561 jednotek.

Copyright


Ampér

Ampér je proud, který při stálém průtoku dvěma rovnoběžnými přímkovými velmi dlouhými vodice zanedbatelného kruhového průřezu, umístěnými ve vakuu ve vzdálenosti 1 m od sebe, vyvolá mezi vodici sílu 2 E-7 newtonu na 1 m délky.

Jednotky


Ampér na metr

Ampér na metr je intenzita magnetického pole uvnitř velmi dlouhého solenoidu, u něhož součin proudu a délkové hustoty závitu je 1 ampér na metr.

Jednotky


Coulomb

Coulomb je elektrický náboj, jenž proteče vodičem při stálém proudu 1 ampéru za dobu 1 sekundy.

Jednotky


Farad

Farad je kapacita elektrického kondenzátoru, který při napětí 1 voltu pojme náboj 1 coulombu.

Jednotky


Joule

Joule je práce, kterou vykoná síla 1 newtonu působící ve směru síly po dráze 1 m.

Jednotky


Kandela

Kandela je kolmá svítivost 1/6 E-5 m2 povrchu černého tělesa při teplotě tuhnutí platiny za tlaku 101 325 pascalu.

Jednotky


Kandela na čtvereční metr

Kandela na čtvereční metr je jas zdroje, jehož svítivost na 1 čtvereční metr zdánlivé plochy zdroje je rovna 1 kandele; zdánlivou plochou se přitom rozumí obsah průmětu skutečné plochy do roviny kolmé ke směru záření.

Jednotky


Kelvin

Kelvin je 273,16 díl termodynamické teploty trojného bodu vody.

Teplota trojného bodu vody je teplotou rovnovážného stavu ledu, vody a vodní páry; trojný bod vody je základním teplotním bodem. Termodynamická teplota začíná absolutní nulou. Termodynamická teplota trojného bodu vody je 273,16 K. Nula Celsiovy stupnice přísluší termodynamická teplota 273,15 K přesně leží 0,01 K pod trojným bodem vody a je to přibližně teplota tuhnutí vody při tlaku 1,013 25 E5 Pa. Teplota 100 °C je přibližně teplota varu vody při témže tlaku. Teplotní stupeň je v obou stupnicích stejný

Jednotky


Kilogram

Kilogram je hmotnost mezinárodního prototypu kilogramu, který je uložen u Mezinárodního úřadu pro váhy a míry v Sévres.

Jednotky


Lumen

Lumen je světelný tok vyzařovaný do prostorového úhlu 1 steradiánu bodovým zdrojem, jehož svítivost je ve všech směrech 1 kandela.

Jednotky


Lux

Lux je osvětlení plochy, na jejíž každý čtvereční metr dopadá rovnoměrně rozdělený světelný tok 1 lumenu.

Jednotky


Metr

Metr je délka, rovnající se 1 650 763,73 vlnových délek záření šířícího se ve vakuu, které odpovídá přechodu mezi hladinami 2p10 a 5d5 atomu kryptonu 86.

Metr byl dříve definován jako vzdálenost dvou rysek na mezinárodním prototypu metru, který je uložen u Mezinárodního úřadu pro váhy a míry v Sévres, měřená při teplotě 0 °C a tlaku 1,013 25 E5 Pa. Nově přijatá definice nemění velikost metru, pouze ji zpřesňuje. Určuje délku metru pomocí vlnové délky záření kryptonu, nezávisle na původním mezinárodním prototypu, aby se zajistila trvalá stabilita této základní jednotky s největší možnou přesností. Krypton 86 je izotop kryptonu s nukleonovým číslem 86. 2p10 a 5d5 jsou spektroskopická označení příslušných energetických hladin atomu. Příslušné záření má červenou barvu a vlnovou délku ~605,780 2 nm.

Jednotky


Newton

Newton je síla, která uděluje tělesu o hmotnosti 1 kg zrychlení 1 m·s-2.

Jednotky


Ohm

Ohm je odpor vodiče, v němž stálé napětí 1 voltu mezi konci vodiče vyvolá proud 1 ampéru, nepůsobí-li ve vodiči elektromotorické napětí.

Jednotky


Pascal

Pascal je tlak, který vyvolá síla jednoho newtonu rovnoměrně působící na plochu o obsahu 1 m2 kolmou ke směru síly.

Jednotky


Tesla

Tesla je magnetická indukce, při níž je v ploše s obsahem 1 čtverečného metru umístěné kolmo ke směru magnetické indukce magnetický indukční tok 1 weberu.

Jednotky


Volt

Volt je napětí mezi konci vodiče, do něhož stálý proud 1 ampéru dodává výkon 1 wattu.

Jednotky


Watt

Watt je výkon, při němž se vykoná práce 1 joulu za 1 sekundu.

Jednotky


Weber

Weber je magnetický indukční tok, který indukuje v závitu jej obepínajícím elektromotorické napětí 1 voltu, zmenšuje-li se tento tok rovnoměrně tak, ze za 1 sekundu zanikne.

Jednotky


Jednotka

Kandela na čtvereční metr je jas zdroje, jehož svítivost na 1 čtvereční metr zdánlivé plochy zdroje je rovna 1 kandele; zdánlivou plochou se přitom rozumí obsah průmětu skutečné plochy do roviny kolmé ke směru záření.

Jednotky


Menu Editace

Editace

Volba je určena pro úpravy a doplňování vlastních jednotek. Volba otevře okno, ve kterém je standardně zobrazen obsah souboru Convert.con (pokud není uživatelem nastaveno jinak v okně Možnosti). Úpravami je možné např. doplňovat vlastní jednotky, jejich zkratky a doplňující informace, mazat nepoužívané jednotky apod. Změny provedené při editaci jsou zvýrazněny červeně. Volba se aktivuje Ctrl+E.

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Tip:

Pro rychlejší pohyb v zobrazeném textu klepněte na Navigátor. Pokud klepnete na seznam veličin (témat) kurzor se přesune na 1. jednotku zvoleného tématu. Můžete také zvolit jednotku (Shift+F4 a výběr ze seznamu jednotek). Pro pohyb mezi jednotkami použijte F7 pro přechod na předchozí veličinu, nebo F8 pro přechod na následující veličinu.

Formát datového souboru, Menu


Menu Kopírovat

Kopírovat

Přenese do Schránky Windows obsah aktuální buňky (Ctrl+C). Takto uloženou hodnotu je možné přenést na jiné místo v tabulce, nebo do jiné aplikace (textový procesor apod.). Pokud je spuštěna editace souboru Convert.con (Ctrl+E), bude do Schránky načten obsah aktuálního výběru.

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Menu


Menu Možnosti

Možnosti…

V dialogovém okně Možnosti… se nastavují parametry aplikace.

Karty

Obecné - umístění datových souborů a způsob ukončení aplikace.

Zobrazení - zobrazení jednotek, co se v aplikaci zobrazuje.

Formát - formát zobrazení čísel, zobrazování čísel v Krátkém náhledu.

Po startu - co se zobrazuje po startu aplikace.

Informace - informace o počtu a času spuštění aplikace.

Tlačítka

OK - potvrdí provedené změny. Některé změny se projeví až po novém spuštění aplikace.

Storno - zruší provedené změny a vrátí a vše se k původnímu stavu.


Menu Otevřít

Otevřít

Otevře soubor s daty pro převod jednotek k editaci (Ctrl+E).

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Menu, Formát datového souboru


Menu Předpony

Předpony

Volba je dostupná z menu Nástroje - Předpony. Klávesová zkratka pro volbu je F5.

Hodnota v aktivní buňce je přenesena do tématu "Násobky a díly" a přesunuta do 1. řádku (řádek Základ). Jako aktivní buňka je nastavena buňka s hodnotou, kterou lze nejlépe zapsat s danou předponou.

Přenášená hodnota je také přesunuta do Schránky Windows.

Menu


Menu Přesnost

Přesnost zobrazení hodnot

Volba nastaví způsob a (nebo) přesnost zobrazení prováděných převodů.

Jednoduchá přesnost (Ctrl+J) - zobrazí jednotky v jednoduché přesnosti (8 desetinných míst)

Dvojitá přesnost (Ctrl+D) - zobrazí jednotky ve dvojité přesnosti (12 desetinných míst)

Vědecké zobrazení - zobrazí jednotky v exponenciálním tvaru

Pevný počet (Ctrl+X) - zobrazí jednotky v zobrazení na definovaný pevný počet desetinných míst. Počet zobrazovaných desetinných míst lze nastavit v okně Možnosti…

Nastavená přesnost je zobrazena ve stavovém řádku písmenem a v menu Formát zatržením.

Známá chyba:

Při změně přesnosti zobrazení na jednoduchou nebo dvojitou přesnost je třeba opakovaně provést převod (např. 2-krát stisknout Enter).

Formát zobrazení hodnot, Menu


Menu - Operace s řádky

Operace s řádky

Volby jsou dostupné z menu Formát - Řádky.

K dispozici jsou tyto volby:

Volba | Popis
Skrýt neoznačené | Skryje všechny neoznačené řádky.
Zobrazit | Zobrazí všechny řádky (vč. skrytých) - odkryje skryté řádky.
Barevné značení | Zatrhávací volba umožní barevně značit řádky označené klávesou Ins.

Pro označení řádků je třeba v daném řádku stisknout klávesu Ins. Označený řádek je označen žlutým čtvercem vpravo nahoře v aktivní buňce.

Klávesové zkratky, Menu


Menu Tisk

Tisk…

Umožní tisk (Ctrl+P) na tiskárně nebo do výstupního souboru CONVERT.ASC různých položek podle nastavené volby. Pokud je aktivní režim editace souboru Convert.con (Ctrl+E) tiskne tento soubor nebo aktuální výběr v okně editoru.

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Dialog pro tisk, Menu


Menu Uložit

Uložit

Ukončí režim editace a uloží provedené změny do souboru Convert.con. Dojde k novému načtení všech jednotek, jejich zkratek a přepočítacích koeficientů. Následně je nastaveno téma Délka.

Volba se aktivuje Ctrl+S.

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Menu


Menu Úroveň zobrazení

Úroveň zobrazení

Určuje, která data budou načtena z datového souboru (standardně Convert.con) a zobrazena v oblasti pro zadávání. Co se bude zobrazovat závisí na obsahu souboru Convert.con. Po zvolení dané úrovně dojde k načtení jednotek a k jejich zobrazení.

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Vše

Zobrazí všechny jednotky zadané v souboru Convert.con (volba je aktivní při startu programu) - úroveň 1 až 3.

Úroveň 1

Zobrazí pouze základní jednotky.

Úroveň 2

Zobrazí jednotky úrovně 1 a 2. Úroveň 2 je v souboru Convert.con označena znakem '+' (plus) před názvem jednotky. Standardně jsou tak označeny cizí jednotky.

Úroveň 3

Zobrazí jednotky úrovně 1 a 3. Úroveň 3 je v souboru Convert.con označena znakem '*' (krát) před názvem jednotky. Standardně jsou tak označeny staré jednotky.

Poznámka:

Nastavená úroveň je zobrazena na stavovém řádku.

Tip:

Pokud chcete rychleji nastavit úroveň klepněte přímo na informaci o nastavené úrovni na stavovém řádku a vyberte úroveň z plovoucího menu.

Menu, Formát datového souboru


Vědecké zobrazení

Některé číselné hodnoty bývají špatně čitelné (ve smyslu porozumění). Proto se používá exponenciální zobrazení čísla. Například číslo 1234213542 je "hůře čitelné" než odpovídající zápis 1, 234213542 E9.

Režim vědeckého zobrazení je detekován na stavovém řádku písmenem S.

Tip:

Pokud jste převodem získali nečitelnou hodnotu najeďte na buňku s tímto číslem a stiskněte F5. Obsah buňky se přenese do řádku základ v tématu Násobky a díly. Tady můžete zjistit, který exponent (a předpona) nejlépe vyhovuje (program sám takový řádek nabídne).

Menu, Stavový řádek


Menu Vložit

Vložit

Vloží obsah Schránky Windows do aktuální buňky. Ppokud je spuštěn režim editace je obsah schránky vložen na do editačního okna na pozici kurzoru.

Volba je dostupná i z nástrojové lišty klepnutím na ikonu [image].

Menu, Nástrojová lišta


Menu Zavřít

Zavřít

Ukončí režim editace. Provedené změny nebudou uloženy a neprojeví se v činnosti programu. Následně je nastavena 1. veličina (standardně Délka).

Volba se aktivuje Ctrl+W.

Menu


Možnosti - Formát

Možnosti - karta Formát

Přesnost

Způsob zobrazení převedených hodnot. U položky Pevné umožní nastavit počet zobrazovaných desetinných míst.

Řádky

Barevné značení (Ins) - řádky v oblasti pro převod vybrané tlačítkem Ins budou označeny zobrazenou značkou. S těmito řádky jdou následně provádět různé operace (např. skrýt řádky).

Barevně odlišit zadání - zadaná hodnota je barevně odlišena (text položky je zobrazen v barvě, kterou bude položka vybarvena). Barvu lze vybrat klepnutím na tlačítko se 3 tečkami.

Krátký náhled

Formát zobrazení některých hodnot v řádku Krátký náhled.

Zlomky - počet desetinných míst, které se berou u převáděného čísla v úvahu při převodu na zlomek. Např. pokud je nastavena 2 je z převáděného čísla 1,2731 převáděna hodnota 1,27.

Vlastní převod do číselné soustavy - nastaví číslo dané soustavy pro převod do vlastní soustavy (2 pro dvojkovou, 7 pro sedmičkovou apod.).

Poč. míst - počet desetinných míst, které budou zobrazeny při převodu desetinné části do dané číselné soustavy.

Obecné, Zobrazení, Po startu, Informace


Možnosti - Informace

Možnosti - karta Informace

Informace o počtu spuštění aplikace, počtu provedených převodů a času spuštění aplikace.

Vymazat - tlačítko znovu nastaví pole na počáteční stav.

Obecné, Zobrazení, Formát, Po startu


Možnosti - Obecné

Možnosti - karta Obecné

Soubor…

Cesta k datovým souborům s jednotkami. Cestu lze zadat do textového pole nebo vybrat z dialogu, který se zobrazí po klepnutí na tlačítko se třemi tečkami. Je zobrazena informace o velikosti a času poslední modifikace datového souboru.

Bezpečné ukončení

Zatržením pole Bezpečné ukončení vyvolá při ukončení aplikace kontrolní dotaz, zda ukončit aplikaci.

Zobrazení, Formát, Po startu, Informace


Možnosti - Po startu

Možnosti - karta Po startu

Umožní nastavit Téma zobrazené po startu, tzn. že po startu aplikace sama přejde na vybranou veličinu.

Umožnit pouze jednu instanci programu - je povoleno spuštění pouze jedné kopie aplikace.

Zobrazit mřížku - v oblasti pro převod dat je zobrazena mřížka.

Obecné, Zobrazení, Formát, Informace


Možnosti - Zobrazení

Možnosti - karta Zobrazení

Úroveň

Nastavená úroveň zobrazení.

Zobrazení

Zatržením lze nastavit co se zobrazuje v aplikaci (Krátký náhled, Lupa, Informace o jednotce).

Zatržením pole Okno vždy navrchu nastaví okno aplikace tak, aby se zobrazovalo vždy nad všemi okny ostatních aplikací (tj. aby bylo stále viditelné).

Zobrazit Navigátor jako

Zobrazení ikon v Navigátoru (velké nebo malé ikony)

Navigátor zobrazuje

Co Navigátor zobrazuje:

Veličiny - je zobrazen seznam hlavních veličin

Jednotky - je zobrazen abecední seznam jednotek.

Obecné, Formát, Po startu, Informace


Náhled

Režim Krátký náhled

Režim Krátký náhled zobrazuje převod mezi aktuální buňkou a 1. buňkou daného tématu. Pokud zvolíte převod jednotek do jiných číselných soustav, na zlomky nebo na římské číslice zobrazí se v náhledu výsledek převodu.

Režim je možné vypnout a zapnout klepnutím myší na tlačítko [image] na nástrojové liště, nebo stiskem klávesy F3. Režim je dostupný mimo titulní obrazovku.

Tip:

Pokud je text náhledu delší než je prostor k zobrazení, je text odříznut. Na konci textu náhledu jsou zobrazeny 3 tečky (…). Pokud chcete vidět celý text náhledu najeďte nad náhled myší a chvíli počkejte. Objeví se nápovědný text s úplným zobrazením náhledu.

Info, Lupa


Celkový počet jednotek

Celkový počet jednotek dostupných v programu. Klepnutím myši zobrazí v okně Navigátora abecední seznam dostupných jednotek. Poklepáním na zvolenou položku v seznamu bude nastaven daný tématický okruh a kurzor bude umístěn do dané buňky.

Stavový řádek


Celkový počet jednotek

Celkový počet jednotek v aktuálním tématickém okruhu

Klepnutím myši zobrazí abecední seznam dostupných jednotek. Poklepáním na zvolenou položku v seznamu bude v okně Navigátora nastaven daný tématický okruh a kurzor bude umístěn do dané buňky.

Stavový řádek


Celkový počet neprázdných témat

Celkový počet neprázdných témat (veličin).

Stavový řádek


Převedené hodnoty jednotek

Výpočet se provede po zadání hodnoty a po stisku Enter.

Mimo teplotu není povoleno používání záporných hodnot. Ty jsou převedeny na kladné.


Převod hodnoty na římské číslice

Po zvolení položky Římsky (menu Nástroje, podmenu Aktuální jako) nebo Ctrl+L dojde k převodu celé části hodnoty v aktuální buňce na římskou číslici.

Upozornění:

Vstupní výraz pro převod musí být menší než 10 000.

Poznámka:

Musí být nastaven režim Krátký náhled (F3). Pokud je Krátký náhled vypnut, převody se zobrazují v samostatném okně.

Pravidla použitá pro převod

Úvodem

Při převodu "našich" čísel na římská neexistuje v podstatě žádná směrodatná norma. Rozhodující byl vesměs většinový obecně akceptovaný úzus. Tato shoda byla do středověku daleko volnější než později. Dnes se řídíme pravidly 16. - 18. století.

Základní pravidla

1) Čísla se zapisují kombinací znaků I, V, X, L, C, D, M.

2) Znaky se skládají tak, že se píší od nejvyšších k nejnižším (MCX = 1110). Většinou se kombinují nejvýše 3 stejné číslice (XXX = 30, III = 3). Někdy mohou být kombinovány i čtyři stejné číslice (IIII = 4 bylo běžné na starých slunečních hodinách).

3) Menší číslice pře větší znamená subtrakci (IV = 4). Takto se subtrahuje pouze jedna číslice (jen zcela vyjímečně dvě stejné číslice: IIX = 8).

4) Pro subtrakci dle bodu 3 se používají pouze číslice I, X, C; v matematickém kontextu zcela vyjímečně také M. Nikdy nebyly používány číslice V, L, D (správně: XC = LXXXX = 90, MCM = 1900; nesprávně: VC = 95).

5) Číslice I se pro subtrakci většinou užívá jen před V, X. Není správně MIM pro 1999 (lépe je MCMXCVIIII nebo MCMXCIX).

Římsky | Arabsky
I | 1
V | 5
X | 10
L | 50
C | 100
D | 500
M | 1000

Převod do jiných číselných soustav, Převod na zlomky


Jméno výstupního souboru

Jméno a umístění výstupního souboru, do kterého budou zvolená data uložena. Standardní jméno souboru je CONVERT.ASC.


Jméno tiskárny

Označení aktuální tiskárny, na kterou se bude tisknout.


Nastavení velikosti písma

Velikost písma pro tisk na tiskárně se nastaví posunem ukazatele myší. Aktuální nastavená velikost písma v bodech je zobrazena vedle ukazatele.


Operace s výstupním souborem

Umožňuje zvolit operace prováděné s výstupním souborem.

Mazat výstupní soubor

Před uložení smaže stávající obsah výstupního souboru.

Při tisku výstup oddělit

Při tisku ukončí zápis oddělovací čarou. Jednotlivé výstupy budou odděleny.


Co se bude tisknout

Co se bude tisknout nebo ukládat

Klepnutím myši vyberete co se bude tisknout.

Aktuální hodnota

Tisk (uložení) hodnoty aktuální buňky (např. '9,874')

Aktuální řádek

Tisk (uložení) obsahu aktuálního řádku (např. 'metr m 127')

Náhled

Tisk (uložení) obsahu náhledu (řádek v horní části obrazovky se srozumitelným zápisem převodního stavu mezi aktuální buňkou a základní jednotkou). Pokud není náhled zobrazen není volba dostupná.

Tabulka

Tisk (uložení) celé tabulky.

Obsah souboru

Tisk obsahu výstupního souboru (CONVERT.ASC). Pokud soubor neexistuje není volba dostupná.


Vždy navrchu

Funkce nastaví okno aplikace conVERTER tak, aby bylo vždy viditelné. Aby bylo nad všemi ostatními otevřenými okny.

Možnosti - Zobrazení


Značky jednotek

V této oblasti je uvedena značka dané jednotky (pokud existuje nebo je zadaná v souboru popisu a koeficientů; standardně Convert.con).

Poznámka:

V některých případech je použito zjednodušeného zápisu (10 2 = deset na druhou, 10-3 = deset na mínus třetí, omega = uvedený znak řecké abecedy).